Get Order Change Request
curl --request GET \
--url https://api.aisa.one/apis/v1/duffel/flights/order-change-requests/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/duffel/flights/order-change-requests/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/duffel/flights/order-change-requests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"created_at": "2020-01-17T10:12:14.545Z",
"id": "ocr_0000A3bQP9RLVfNUcdpLpw",
"live_mode": false,
"order_change_offers": [
{
"change_total_amount": "90.80",
"change_total_currency": "GBP",
"conditions": {
"change_before_departure": {
"allowed": true,
"penalty_amount": "100.00",
"penalty_currency": "GBP"
},
"refund_before_departure": {
"allowed": true,
"penalty_amount": "100.00",
"penalty_currency": "GBP"
}
},
"created_at": "2020-01-17T10:12:14.545Z",
"expires_at": "2020-01-17T10:42:14.545Z",
"id": "oco_0000A3vUda8dKRtUSQPSXw",
"live_mode": false,
"new_total_amount": "35.50",
"new_total_currency": "GBP",
"order_change_id": "oce_0000A4QasEUIjJ6jHKfhHU",
"penalty_total_amount": "10.50",
"penalty_total_currency": "GBP",
"private_fares": [
{
"corporate_code": "FLX53",
"tour_code": "578DFL",
"tracking_reference": "ABN:2345678",
"type": "corporate"
}
],
"refund_to": "original_form_of_payment",
"slices": {
"add": [
{
"destination": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"destination_type": "airport",
"duration": "PT02H26M",
"fare_brand_name": "Basic",
"id": "xxx_00009hthhsUZ8W4LxQgkjo",
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_type": "airport",
"segments": [
{
"aircraft": {
"iata_code": "380",
"id": "arc_00009UhD4ongolulWd91Ky",
"name": "Airbus Industries A380"
},
"arriving_at": "2020-06-13T16:38:02",
"departing_at": "2020-06-13T16:38:02",
"destination": {
"city": {
"iata_code": "NYC",
"iata_country_code": "US",
"id": "cit_nyc_us",
"name": "New York"
},
"city_name": "New York",
"iata_city_code": "NYC",
"iata_code": "JFK",
"iata_country_code": "US",
"icao_code": "KJFK",
"id": "arp_jfk_us",
"latitude": 40.640556,
"longitude": -73.778519,
"name": "John F. Kennedy International Airport",
"time_zone": "America/New_York"
},
"destination_terminal": "5",
"distance": "424.2",
"duration": "PT02H26M",
"id": "xxx_00009hthhsUZ8W4LxQgkjo",
"marketing_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"marketing_carrier_flight_number": "1234",
"operating_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"operating_carrier_flight_number": "4321",
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_terminal": "B",
"passengers": [
{
"baggages": [
{
"quantity": 1,
"type": "checked"
}
],
"cabin_class": "economy",
"cabin_class_marketing_name": "Economy Basic",
"passenger_id": "passenger_0",
"seat": {
"designator": "14B",
"disclosures": [
"Do not seat children in exit row seats",
"Do not seat passengers with special needs in exit row seats"
],
"name": "Exit row seat"
}
}
]
}
]
}
],
"remove": [
{
"destination": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"destination_type": "airport",
"duration": "PT02H26M",
"fare_brand_name": "Basic",
"id": "xxx_00009hthhsUZ8W4LxQgkjo",
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"type": "airport",
"airports": [
{
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
}
],
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_type": "airport",
"segments": [
{
"aircraft": {
"iata_code": "380",
"id": "arc_00009UhD4ongolulWd91Ky",
"name": "Airbus Industries A380"
},
"arriving_at": "2020-06-13T16:38:02",
"departing_at": "2020-06-13T16:38:02",
"destination": {
"city": {
"iata_code": "NYC",
"iata_country_code": "US",
"id": "cit_nyc_us",
"name": "New York"
},
"city_name": "New York",
"iata_city_code": "NYC",
"iata_code": "JFK",
"iata_country_code": "US",
"icao_code": "KJFK",
"id": "arp_jfk_us",
"latitude": 40.640556,
"longitude": -73.778519,
"name": "John F. Kennedy International Airport",
"time_zone": "America/New_York"
},
"destination_terminal": "5",
"distance": "424.2",
"duration": "PT02H26M",
"id": "xxx_00009hthhsUZ8W4LxQgkjo",
"marketing_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"marketing_carrier_flight_number": "1234",
"operating_carrier": {
"conditions_of_carriage_url": "https://www.britishairways.com/en-gb/information/legal/british-airways/general-conditions-of-carriage",
"iata_code": "BA",
"id": "arl_00001876aqC8c5umZmrRds",
"logo_lockup_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-lockup/BA.svg",
"logo_symbol_url": "https://assets.duffel.com/img/airlines/for-light-background/full-color-logo/BA.svg",
"name": "British Airways"
},
"operating_carrier_flight_number": "4321",
"origin": {
"city_name": "London",
"iata_city_code": "LON",
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London",
"city": {
"airports": [
{
"iata_code": "LHR",
"iata_country_code": "GB",
"icao_code": "EGLL",
"id": "arp_lhr_gb",
"latitude": 64.068865,
"longitude": -141.951519,
"name": "Heathrow",
"time_zone": "Europe/London"
}
],
"iata_code": "LON",
"iata_country_code": "GB",
"id": "cit_lon_gb",
"name": "London"
}
},
"origin_terminal": "B",
"passengers": [
{
"baggages": [
{
"quantity": 1,
"type": "checked"
}
],
"cabin_class": "economy",
"cabin_class_marketing_name": "Economy Basic",
"passenger_id": "passenger_0",
"seat": {
"designator": "14B",
"disclosures": [
"Do not seat children in exit row seats",
"Do not seat passengers with special needs in exit row seats"
],
"name": "Exit row seat"
}
}
]
}
]
}
]
},
"updated_at": "2020-01-17T10:12:14.545Z"
}
],
"order_id": "ord_0000A3bQ8FJIQoEfuC07n6",
"slices": {
"add": [
{
"cabin_class": "economy",
"departure_date": "2020-04-24",
"destination": "LHR",
"origin": "LHR"
}
],
"remove": [
{
"slice_id": "xxx_00009hthhsUZ8W4LxQgkjo"
}
]
},
"updated_at": "2020-01-17T10:12:14.545Z"
},
"meta": {
"limit": 123,
"before": "<string>",
"after": "<string>"
}
}Duffel Flights
Get Order Change Request
Retrieve an order change request with change offers
GET
https://api.aisa.one
/
apis
/
v1
/
duffel
/
flights
/
order-change-requests
/
{id}
Get Order Change Request
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
响应
Error response; upstream passthrough responses may use provider formats